## gcc-defaults 1.82ubuntu2

=== debian/changelog ===
gcc-defaults (1.82ubuntu2) karmic; urgency=low

  * Tighten the dependencies to 4.4.1.
  * Build gnat for armel.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Aug 2009 14:21:38 +0200

gcc-defaults (1.82ubuntu1) karmic; urgency=low

  * Inflating the source version to get non-broken binary versions

 -- Adam Conrad <adconrad@0c3.net>  Wed, 29 Apr 2009 11:06:28 -0600

gcc-defaults (1.79ubuntu9) karmic; urgency=low

  * debian/rules: move hppa to 4.4 as well, the test output looks good

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Apr 2009 10:33:02 -0600

gcc-defaults (1.79ubuntu8) karmic; urgency=low

  * gcj-jdk: Add gjdoc symlink, provide and conflict with gjdoc.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Apr 2009 16:35:27 +0200

gcc-defaults (1.79ubuntu7) jaunty; urgency=low

  * Revert temporary change in last upload.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Apr 2009 13:08:27 +0200

gcc-defaults (1.79ubuntu6) karmic; urgency=low

  * Temporary change: Remove build dependency on gcj-jdk | java-gcj-compat-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Apr 2009 10:33:26 +0200

gcc-defaults (1.79ubuntu5) karmic; urgency=low

  * Build packages gcj-{jre-headless,jre,jdk}, mark gij and gcj as
    transitional packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Apr 2009 11:55:49 +0200

gcc-defaults (1.79ubuntu4) karmic; urgency=low

  * Default to 4.3 on hppa.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Apr 2009 17:40:32 +0200

gcc-defaults (1.79ubuntu3) karmic; urgency=low

  * Default to 4.4.0.
  * Build java packages on hppa.
  * gcj provides gjdoc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Apr 2009 14:57:30 +0200
