=== debian/control ===
Source: gcc-defaults
Section: devel
Priority: standard
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.8.3
Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcc-4.4-base (>= 4.4.1), lsb-release
Build-Depends-Indep: ca-certificates, gcj-jdk | java-gcj-compat-dev, python, python-central
XS-Python-Version: all

Package: cpp
Priority: optional
Architecture: any
Section: interpreters
Depends: cpp-${pv:cpp} ${reqv:cpp}
Suggests: cpp-doc
Conflicts: cpp-doc (<< 1:2.95.3)
Description: The GNU C preprocessor (cpp)
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This is a dependency package providing the default GNU C preprocessor.

Package: g++
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), g++-${pv:gpp} ${reqv:gpp}, gcc-${pv:gpp} ${reqv:gpp}
Suggests: ${pkgmulti:gpp}
Provides: c++-compiler
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ compiler.

Package: g++-multilib
Priority: optional
Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
Depends: cpp (>= ${version:cpp}), g++ (>= ${version:cpp}), g++-${pv:gpp}-multilib ${reqv:gpp}
Description: The GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains dependencies
 for the non-default multilib architecture(s).

Package: gobjc
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gobjc-${pv:gobjc} ${reqv:gobjc}
Suggests: ${pkgmulti:gobjc}
Provides: objc-compiler
Description: The GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C compiler.

Package: gobjc-multilib
Priority: optional
Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
Depends: cpp (>= ${version:cpp}), gobjc (>= ${version:gcc}), gobjc-${pv:gobjc}-multilib ${reqv:gobjc}
Description: The GNU Objective-C compiler (multilib files)
 This is the GNU Objective-C compiler, which compiles Objective-C on
 platforms supported by the gcc compiler.
 .
 On architectures with multilib support, the package contains dependencies
 for the non-default multilib architecture(s).

Package: gobjc++
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gobjc++-${pv:gobjcxx} ${reqv:gobjcxx}
Recommends: g++ (>= ${version:cpp}), gobjc (>= ${version:cpp})
Suggests: ${pkgmulti:gobjcxx}
Provides: objc++-compiler
Description: The GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++ compiler.

Package: gobjc++-multilib
Priority: optional
Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
Depends: cpp (>= ${version:cpp}), gobjc++ (>= ${version:gcc}), gobjc++-${pv:gobjcxx}-multilib ${reqv:gobjcxx}
Description: The GNU Objective-C++ compiler (multilib files)
 This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
 platforms supported by the gcc compiler.
 .
 On architectures with multilib support, the package contains dependencies
 for the non-default multilib architecture(s).

Package: gfortran
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gfortran-${pv:gfort} ${reqv:gfort}
Suggests: ${pkgmulti:gfort}, gfortran-doc
Provides: fortran-compiler
Description: The GNU Fortran 95 compiler
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95 compiler.

Package: gfortran-multilib
Priority: optional
Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
Depends: cpp (>= ${version:cpp}), gfortran (>= ${version:gcc}), gfortran-${pv:gfort}-multilib ${reqv:gfort}
Description: The GNU Fortran 95 compiler (multilib files)
 This is the GNU Fortran compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler.
 .
 On architectures with multilib support, the package contains dependencies
 for the non-default multilib architecture(s).

Package: libgcj-common
Section: java
Architecture: all
Priority: optional
Depends: ${python:Depends}
Conflicts: classpath (<= 0.04-4)
Replaces: java-gcj-compat (<< 1.0.65-8), java-gcj-compat-dev (<< 1.0.80-2)
XB-Python-Version: ${python:Versions}
Description: Java runtime library (common files)
 This package contains files shared by classpath and libgcj libraries.

Package: gcj
Section: java
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcj-jdk (>= ${version:gcj})
Description: The GNU Java compiler (transitional package)
 GCJ is a front end to the GCC compiler which can natively compile both
 Java(tm) source and bytecode files. The compiler can also generate class
 files.
 .
 This is a transitional package. It can be removed.

Package: gij
Section: java
Priority: optional
Architecture: any
Depends: libgcj-bc (>= ${version:libgcjbc}), gcj-jre-headless (>= ${version:gcj})
Description: The GNU Java bytecode interpreter (transitional package)
 GIJ is not limited to interpreting bytecode. It includes a class loader which
 can dynamically load shared objects, so it is possible to give it the name
 of a class which has been compiled and put into a shared library on the
 class path.
 .
 This is a transitional package. It can be removed.

Package: libgcj-bc
Section: java
Architecture: any
Priority: optional
Depends: libgcj-common (>= ${version:libgcjcommon}), ${pkg:libgcj} ${reqv:gij}
Description: Link time only library for use with gcj
 A fake library that is used at link time only.  It ensures that
 binaries built with the BC-ABI link against a constant SONAME.
 This way, BC-ABI binaries continue to work if the SONAME underlying
 libgcj.so changes.

Package: gcj-jdk
Section: java
Architecture: any
Priority: optional
Depends: libgcj-common (>= ${version:libgcjcommon}), gcj-jre (>= ${version:gcj}), gcj-${pv:gcj}-jdk ${reqv:gcj}
Provides: gjdoc, java-gcj-compat-dev, java-compiler, java-sdk, java2-sdk, java5-sdk
Conflicts: gcj (<< 4:4.4.0-0ubuntu5), classpath-common (<= 2:0.97.2-1.1), gjdoc
Description: gcj and classpath development tools for Java(TM)
 GCJ is a front end to the GCC compiler which can natively compile both
 Java(tm) source and bytecode files. The compiler can also generate class
 files. Other java development tools from classpath are included in this
 package.
 .
 The package contains as well a collection of wrapper scripts and symlinks.
 It is meant to provide a Java-SDK-like interface to the GCJ tool set.

Package: gcj-jre-headless
Priority: optional
Section: java
Architecture: any
Depends: libgcj-common (>= ${version:libgcjcommon}), gcj-${pv:gij}-jre-headless ${reqv:gij}
Suggests: gcj-jdk
Conflicts: gij (<< 4:4.4.0-0ubuntu5), java-gcj-compat-headless
Provides: java-gcj-compat-headless, java-virtual-machine, java5-runtime-headless, java2-runtime-headless, java1-runtime-headless, java-runtime-headless
Description: Java runtime environment using GIJ/classpath (headless version)
 GIJ is a Java bytecode interpreter, not limited to interpreting bytecode.
 It includes a class loader which can dynamically load shared objects, so
 it is possible to give it the name of a class which has been compiled and
 put into a shared library on the class path.
 .
 The package contains as well a collection of wrapper scripts and symlinks.
 It is meant to provide a Java-RTE-like interface to the GIJ/GCJ tool set,
 limited to the headless tools and libraries.

Package: gcj-jre
Section: java
Architecture: any
Priority: optional
Depends: libgcj-common (>= ${version:libgcjcommon}), gcj-jre-headless (>= ${version:gcj}), gcj-${pv:gij}-jre ${reqv:gij}
Provides: java-gcj-compat, java5-runtime, java2-runtime, java1-runtime, java-runtime
Description: Java runtime environment using GIJ/classpath
 GIJ is a Java bytecode interpreter, not limited to interpreting bytecode.
 It includes a class loader which can dynamically load shared objects, so
 it is possible to give it the name of a class which has been compiled and
 put into a shared library on the class path.
 .
 The package contains as well a collection of wrapper scripts and symlinks.
 It is meant to provide a Java-RTE-like interface to the GIJ/GCJ tool set.

Package: gpc
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gpc-${pv:gpc} ${reqv:gpc}
Suggests: gpc-doc
Conflicts: gpc-doc (<< 1:2.95.3)
Provides: pascal-compiler
Description: The GNU Pascal compiler
 This is the GNU Pascal compiler, which compiles Pascal on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 The current version 2.2 (release candidate 2) implements Standard Pascal
 (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
 Borland Pascal. Many Borland Pascal units supported.
 .
 This is a dependency package providing the default GNU Pascal compiler.

Package: gcc
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc-${pv:gcc} ${reqv:gcc}
Recommends: libc6-dev | libc-dev
Suggests: gcc-multilib, make, manpages-dev, autoconf, automake1.9, libtool, flex, bison, gdb, gcc-doc
Provides: c-compiler
Conflicts: gcc-doc (<< 1:2.95.3)
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C compiler.

Package: gcc-multilib
Priority: optional
Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gcc-${pv:gcc}-multilib ${reqv:gcc}
Description: The GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains dependencies
 for the non-default multilib architecture(s).

Package: gpc-doc
Section: doc
Architecture: any
Priority: optional
Depends: gpc-${pv:gpc}-doc ${reqv:gpc}
Suggests: gpc (>= ${version:gpc})
Description: Documentation for the GNU Pascal compiler (gpc)
 Documentation for the GNU Pascal compiler in info format (dependency package).

Package: gnat
Architecture: alpha amd64 armel hppa i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386
Priority: optional
Depends: gnat-${pv:gnat} ${reqv:gnat}
Conflicts: gnat-3.3, gnat-3.4, gnat-4.0, gnat-4.1 (<< 4.1.1-6)
Description: The GNU Ada compiler
 This is a dependency package providing the default GNU Ada compiler.
 Per policy, all packages that contain Ada sources must use this package
 in their Build-Depends line.

Package: libgnatvsn-dev
Architecture: alpha amd64 armel hppa i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386
Section: libdevel
Priority: optional
Depends: gnat (>= ${version:gnat}), libgnatvsn${pv:gnat}-dev ${reqv:gnat}
Description: GNU Ada compiler version library - development files
 This library exports selected components of GNAT, the GNU Ada compiler, for use
 in other packages, most notably ASIS and ASIS-based packages.  It is licensed
