## gcc-defaults 1.93ubuntu1

=== debian/changelog ===
gcc-defaults (1.93ubuntu1) lucid; urgency=low

  * Merge with unstable; remaining changes:
    - Build the -doc packages.
    - Keep the fsf-funding document.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Mar 2010 14:07:58 +0100

gcc-defaults (1.93) unstable; urgency=low

  * Bump dependencies to 4.4.3.
  * gdc: Make gdc-4.3 the default.
  * Fix file conflict error install gdc. Closes: #573487.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 04:29:59 +0100

gcc-defaults (1.92ubuntu1) lucid; urgency=low

  * Merge with unstable; remaining changes:
    - Build the -doc packages.
    - Default to gdc-4.2.
    - Keep the fsf-funding document.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2010 16:58:43 +0100

gcc-defaults (1.92) unstable; urgency=low

  * Make GCC-4.4 the default for the spu cross compilers.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2010 14:20:22 +0100

gcc-defaults (1.91) unstable; urgency=low

  * gcj-jdk: Add dh_javadoc, conflict with gjdoc.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2009 01:28:37 +0100

gcc-defaults (1.90) unstable; urgency=low

  * Make GCC-4.4 the default.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2009 00:39:44 +0100

gcc-defaults (1.89) unstable; urgency=low

  * Remove support for gdc-4.2.  Addresses: #559361.
  * Don't build gdc on hurd-i386.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 06 Dec 2009 21:13:48 +0000

gcc-defaults (1.88) unstable; urgency=low

  [ Matthias Klose ]
  * libgcj-common: Don't use absolute paths in debhelper autoscripts.
    Closes: #511491.
  * Build gnat for armel.
  * Tighten the dependencies to 4.3.4.
  * gpc-doc: Install non-shared doc directory. Closes: #553570.
  * libgcj-bc: Add doc dir symlink. Closes: #552764.
  * Remove the alternative build-dependency on java-gcj-compat-dev.
    Closes: #536192.
  * Fix formatting error in dh_nativejava(1). Closes: #531912.
  * libgcj-common (rebuild-gcj-db): Be quiet, armel and hppa are known
    to work.
  * Add hurd-i386 to gcj_archs and gcj_native_archs.

  [ Aurelien Jarno ]
  * Enable ada on kfreebsd-amd64.

  [ Ludovic Brenta ]
  * Don't build gnat from gcc-defaults anymore.

  [ Nobuhiro Iwamatsu ]
  * Don't build gpc-doc on sh3 and sh4. Closes: #547990.
  * Build java packages for sh4. Closes: #547989.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Nov 2009 00:50:32 +0100

gcc-defaults (1.87) unstable; urgency=low

  * gcj-jre-headless/gcj-jdk: Depend on gij-4.3/gcj-4.3. Closes: #532292.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jun 2009 18:31:42 -0400

gcc-defaults (1.86) unstable; urgency=low

  * Reupload, last upload rejected due to wrong encoding in changelog.

 -- Matthias Klose <doko@debian.org>  Wed, 20 May 2009 15:02:31 +0200

gcc-defaults (1.85) unstable; urgency=low

  * Move library files for aot-compile into a private directory.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2009 04:48:34 +0200

gcc-defaults (1.84) unstable; urgency=low

  * Make GCC-4.4 the default for java packages on hppa.
  * Build packages gcj-{jre-headless,jre,jdk}, mark gij and gcj as
    transitional packages.
  * Let gcj-{jre-headless,jre,jdk} depend on the java-gcj-compat packages
    on architectures where gij/gcj-4.3 is the default.
  * gcj-jdk: Conflict with classpath-common (<= 2:0.97.2-1.1), common
    binary gappletviewer and man page.
  * Change section names of java packages.
  * Handle wrong /usr/share/doc/libgcj-common symlink left over from
    gcj-4.1. Closes: #396583.
  * Update Debian README. Closes: #498950.

 -- Matthias Klose <doko@debian.org>  Sun, 18 May 2009 22:12:18 +0200

gcc-defaults (1.83) unstable; urgency=low

  * Build gij/gcj packages for hppa.

 -- Matthias Klose <doko@debian.org>  Mon, 04 May 2009 01:52:17 +0200

gcc-defaults (1.81) unstable; urgency=low

  * Enable java on hurd-i386 (Samuel Thibault). Closes: #525083.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Apr 2009 08:42:48 +0200

gcc-defaults (1.80) unstable; urgency=low

  * Fix required version on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Mar 2009 06:27:00 +0000

gcc-defaults (1.79) unstable; urgency=low

  * Make GCC-4.3 the default on alpha.
  * Tighten the dependencies to 4.3.3-2.
    - This version has a fix for PR middle-end/38969, adresses: #513007.
  * Bump Standards-Version to 3.8.0.
  * Add myself to Uploaders.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 05 Mar 2009 19:34:05 +0000

gcc-defaults (1.79ubuntu7) karmic; urgency=low

  * Revert temporary change in last upload.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Apr 2009 13:08:27 +0200

gcc-defaults (1.78) unstable; urgency=low

  * Build gij/gcj packages for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 12:29:37 +0100
