=== debian/rules ===
--- 
+++ 
@@ -83,15 +83,21 @@
 REL_NO_431	:= $(shell expr $(VMINOR) - 73)$(REL_EXT)
 # gcc-defaults 1.76 is the first version with 4.3.2 support.
 REL_NO_432	:= $(shell expr $(VMINOR) - 75)$(REL_EXT)
-# gcc-defaults 1.78 is the first version with 4.3.2 support.
-REL_NO_433	:= $(shell expr $(VMINOR) - 77)$(REL_EXT)
-# gcc-defaults 1.79 is the first version with 4.4.0 support.
-REL_NO_440	:= $(shell expr $(VMINOR) - 79)$(REL_EXT)
-# gcc-defaults 1.82 is the first version with 4.4.1 support.
-REL_NO_441	:= $(shell expr $(VMINOR) - 81)$(REL_EXT)
+# gcc-defaults 1.79 is the first version with 4.3.3 support.
+REL_NO_433	:= $(shell expr $(VMINOR) - 78)$(REL_EXT)
+# gcc-defaults 1.88 is the first version with 4.3.4 support.
+REL_NO_434	:= $(shell expr $(VMINOR) - 87)$(REL_EXT)
+# gcc-defaults 1.81 is the first version with 4.4.0 support.
+REL_NO_440	:= $(shell expr $(VMINOR) - 80)$(REL_EXT)
+# gcc-defaults 1.88 is the first version with 4.4.1 support.
+REL_NO_441	:= $(shell expr $(VMINOR) - 87)$(REL_EXT)
+# gcc-defaults 1.90 is the first version with 4.4.2 support.
+REL_NO_442	:= $(shell expr $(VMINOR) - 89)$(REL_EXT)
+# gcc-defaults 1.93 is the first version with 4.4.3 support.
+REL_NO_443	:= $(shell expr $(VMINOR) - 92)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
-GDC_VERSION	:= 0.25
+GDC_VERSION	:= 1:1.043
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -105,40 +111,45 @@
 REQV_41		:= (>= 4.1.2-1)
 REQV_41_GCJ	:= (>= 4.1.2-1)
 REQV_41_GPC	:= (>= $(GPC_VERSION)-4.1.2-16)
-REQV_41_GDC	:= (>= $(GDC_VERSION)-4.1.2-18)
 REQV_42		:= (>= 4.2.4-1)
 REQV_42_GCJ	:= (>= 4.2.4-1)
-REQV_42_GDC	:= (>= $(GDC_VERSION)-4.2.4-1)
-REQV_43		:= (>= 4.3.3-1)
-REQV_44		:= (>= 4.4.1-1)
-
-REQV_LIBGCJ_BC	:= (>= 4.3.3-1)
+REQV_43		:= (>= 4.3.4-1)
+REQV_43_GDC	:= (>= $(GDC_VERSION)-4.3.4-1)
+REQV_44		:= (>= 4.4.3-1)
+
+REQV_LIBGCJ_BC	:= (>= 4.4.3-1)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
+# gcj-4.4 has some regressions in the testsuite compared to 4.3
+# results on alpha are bad in both 4.3 and 4.4.
+gcj44_archs = amd64 armel hppa hurd-i386 i386 lpia mips mipsel powerpc ppc64 kfreebsd-amd64 kfreebsd-i386 sh4
+
 # CV_XXX is the complete version number, including the release, without epoch
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP		:= 4.4.1-$(REL_NO_441)
-CV_GCC		:= 4.4.1-$(REL_NO_441)
-CV_GPP		:= 4.4.1-$(REL_NO_441)
-CV_GOBJC	:= 4.4.1-$(REL_NO_441)
-CV_GOBJCXX	:= 4.4.1-$(REL_NO_441)
-CV_GFORT	:= 4.4.1-$(REL_NO_441)
-CV_GCJ		:= 4.4.1-$(REL_NO_441)
-CV_GIJ		:= 4.4.1-$(REL_NO_441)
-CV_LIBGCJBC	:= 4.4.1-$(REL_NO_441)
-CV_GNAT		:= 4.3.3-$(REL_NO_433)
-ifneq (,$(filter $(DEB_HOST_ARCH),armel))
-  CV_GNAT		:= 4.4.1-$(REL_NO_441)
-endif
+CV_CPP		:= 4.4.3-$(REL_NO_443)
+CV_GCC		:= 4.4.3-$(REL_NO_443)
+CV_GPP		:= 4.4.3-$(REL_NO_443)
+CV_GOBJC	:= 4.4.3-$(REL_NO_443)
+CV_GOBJCXX	:= 4.4.3-$(REL_NO_443)
+CV_GFORT	:= 4.4.3-$(REL_NO_443)
+CV_GCJ		:= 4.4.3-$(REL_NO_443)
+CV_GIJ		:= 4.4.3-$(REL_NO_443)
+CV_LIBGCJBC	:= 4.4.3-$(REL_NO_442)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
-CV_GDC		:= 4.2.4-$(REL_NO_424)
-CV_LIBGCJCOMMON	:= 1:4.4.1-$(REL_NO_441)
-CV_SPU		:= 4.4.1-$(REL_NO_441)
+CV_GDC		:= 4.3.4-$(REL_NO_434)
+CV_LIBGCJCOMMON	:= 1:4.4.3-$(REL_NO_443)
+CV_SPU		:= 4.4.3-$(REL_NO_443)
+
+#ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj44_archs)))
+#  CV_GCJ		:= 4.4.2-$(REL_NO_442)
+#  CV_GIJ		:= 4.4.2-$(REL_NO_442)
+#  CV_LIBGCJBC		:= 4.4.2-$(REL_NO_442)
+#endif
 
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_34)
@@ -152,34 +163,25 @@
 REQV_GCJ	= $(REQV_44)
 REQV_GIJ	= $(REQV_44)
 REQV_GPC	= $(REQV_41_GPC)
-REQV_GDC	= $(REQV_42_GDC)
-REQV_GNAT	= $(REQV_43)
-ifneq (,$(filter $(DEB_HOST_ARCH),armel))
-  REQV_GNAT	= $(REQV_44)
-endif
+REQV_GDC	= $(REQV_43_GDC)
 REQV_SPU	= $(REQV_44)
 
 EPOCH=4
 EPOCH_GPC=5
 OS_NAME	:= Linux
 distribution := $(shell lsb_release -is)
-all_packages	:= gnat libgnatvsn-dev libgnatprj-dev
-all_packages    += g++ gfortran gcj gobjc gobjc++ gpc gdc
+all_packages    := g++ gfortran gcj gobjc gobjc++ gpc gdc
 all_packages	+= gcc-spu g++-spu gfortran-spu
 no_packages	:= chill
 
-ifeq ($(distribution)-$(DEB_HOST_ARCH),Debian-amd64)
-  lib32 = /emul/ia32-linux/usr/lib/
-else
-  lib32 = /usr/lib32
-endif
-
-LIBGCJ		= libgcj10
+lib32 = /usr/lib32
+
+LIBGCJ	= libgcj10
 LIBGCJ_PC	= libgcj10.pc
 LIBGCJ_SONAME	= 10
 
-gcj_archs = alpha amd64 armel hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64 kfreebsd-i386
-gcj_native_archs = alpha amd64 armel hppa i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64 kfreebsd-i386
+gcj_archs = alpha amd64 armel hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sh4 sparc kfreebsd-amd64 kfreebsd-i386 hurd-i386
+gcj_native_archs = alpha amd64 armel hppa i386 ia64 lpia mips mipsel powerpc ppc64 s390 sh4 sparc kfreebsd-amd64 kfreebsd-i386 hurd-i386
 multilib_archs = amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(multilib_archs)))
@@ -191,25 +193,10 @@
   with_gfdl_docs := yes
 endif
 
-gnat_no_archs := hurd-i386 kfreebsd-amd64 m32r m68k netbsd-i386 sh3 sh4
-ifneq (,$(filter $(DEB_HOST_ARCH),$(gnat_no_archs)))
-  no_packages += gnat
-endif
-
-java_no_archs := arm sh3 sh4
+java_no_archs := arm 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(java_no_archs)))
   no_packages += gcj gij libgcj-bc gcj-jre-headless gcj-jre gcj-jdk
 endif
 
 gpc_no_archs := sh3 sh4
 ifneq (,$(filter $(DEB_HOST_ARCH),$(gpc_no_archs)))
-  no_packages += gpc
-endif
-
-gdc_no_archs := sparc
-ifneq (,$(filter $(DEB_HOST_ARCH),$(gdc_no_archs)))
-  no_packages += gdc
-endif
-
-ifeq ($(DEB_HOST_ARCH),hurd-i386)
-    OS_NAME	:= Hurd
