## gcc-defaults 1.93ubuntu2

=== debian/changelog ===
gcc-defaults (1.93ubuntu2) maverick; urgency=low

  * Bump dependencies to 4.4.4.
  * Rebuild to target i686 on architecture i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 May 2010 11:28:26 +0200
