=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,8 @@
 REL_NO_442	:= $(shell expr $(VMINOR) - 89)$(REL_EXT)
 # gcc-defaults 1.93 is the first version with 4.4.3 support.
 REL_NO_443	:= $(shell expr $(VMINOR) - 92)$(REL_EXT)
+# gcc-defaults 1.93 is the first version with 4.4.4 support.
+REL_NO_444	:= $(shell expr $(VMINOR) - 92)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
 GDC_VERSION	:= 1:1.043
@@ -115,9 +117,9 @@
 REQV_42_GCJ	:= (>= 4.2.4-1)
 REQV_43		:= (>= 4.3.4-1)
 REQV_43_GDC	:= (>= $(GDC_VERSION)-4.3.4-1)
-REQV_44		:= (>= 4.4.3-1)
+REQV_44		:= (>= 4.4.4-1)
 
-REQV_LIBGCJ_BC	:= (>= 4.4.3-1)
+REQV_LIBGCJ_BC	:= (>= 4.4.4-1)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -131,24 +133,24 @@
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP		:= 4.4.3-$(REL_NO_443)
-CV_GCC		:= 4.4.3-$(REL_NO_443)
-CV_GPP		:= 4.4.3-$(REL_NO_443)
-CV_GOBJC	:= 4.4.3-$(REL_NO_443)
-CV_GOBJCXX	:= 4.4.3-$(REL_NO_443)
-CV_GFORT	:= 4.4.3-$(REL_NO_443)
-CV_GCJ		:= 4.4.3-$(REL_NO_443)
-CV_GIJ		:= 4.4.3-$(REL_NO_443)
-CV_LIBGCJBC	:= 4.4.3-$(REL_NO_442)
+CV_CPP		:= 4.4.4-$(REL_NO_444)
+CV_GCC		:= 4.4.4-$(REL_NO_444)
+CV_GPP		:= 4.4.4-$(REL_NO_444)
+CV_GOBJC	:= 4.4.4-$(REL_NO_444)
+CV_GOBJCXX	:= 4.4.4-$(REL_NO_444)
+CV_GFORT	:= 4.4.4-$(REL_NO_444)
+CV_GCJ		:= 4.4.4-$(REL_NO_444)
+CV_GIJ		:= 4.4.4-$(REL_NO_444)
+CV_LIBGCJBC	:= 4.4.4-$(REL_NO_444)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
 CV_GDC		:= 4.3.4-$(REL_NO_434)
-CV_LIBGCJCOMMON	:= 1:4.4.3-$(REL_NO_443)
-CV_SPU		:= 4.4.3-$(REL_NO_443)
+CV_LIBGCJCOMMON	:= 1:4.4.4-$(REL_NO_444)
+CV_SPU		:= 4.4.4-$(REL_NO_444)
 
 #ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj44_archs)))
-#  CV_GCJ		:= 4.4.2-$(REL_NO_442)
-#  CV_GIJ		:= 4.4.2-$(REL_NO_442)
-#  CV_LIBGCJBC		:= 4.4.2-$(REL_NO_442)
+#  CV_GCJ		:= 4.4.4-$(REL_NO_444)
+#  CV_GIJ		:= 4.4.4-$(REL_NO_444)
+#  CV_LIBGCJBC		:= 4.4.4-$(REL_NO_444)
 #endif
 
 REQV_CHILL	= $(REQV_295)
@@ -195,8 +197,3 @@
 
 java_no_archs := arm 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(java_no_archs)))
-  no_packages += gcj gij libgcj-bc gcj-jre-headless gcj-jre gcj-jdk
-endif
-
-gpc_no_archs := sh3 sh4
-ifneq (,$(filter $(DEB_HOST_ARCH),$(gpc_no_archs)))
